-- compile with "ghc --make -package wx Main.hs"
{-
Part of "Haski the Robot"
examination project for adv. funct. progr. 2004

    Copyright (C) 2004  Lars Otten

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-}
module Main (main) where

import System
import Haski


-- just gets the command-line arguments and checks
-- how many arguments are present, invokes haskiRun accordingly
main =
 do args <- getArgs
    if length args == 0
     then haskiRun "empty" ["empty"]
     else if length args == 1
           then let (m:ms) = args in
                 haskiRun m ["empty"]
           else let (mapfile,progs) = getNames args in
                 haskiRun mapfile progs

getNames :: [String] -> (String,[String])
getNames (x:y:zs) = (x,breakIntoParts y ',')

breakIntoParts :: String -> Char -> [String]
breakIntoParts "" _ =  []
breakIntoParts s c =
 let (l, s') = break (== c) s
  in  l : case s' of
           []      -> []
           (_:s'') -> breakIntoParts s'' c

---------------------------------------------------------------------
-- End of File
